Bug 1286971 (CVE-2015-8701) - CVE-2015-8701 Qemu: net: rocker: stack buffer overflow(off-by-one) in tx_consume routine
Summary: CVE-2015-8701 Qemu: net: rocker: stack buffer overflow(off-by-one) in tx_cons...
Status: NEW
Alias: CVE-2015-8701
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20151223,reported=2...
Keywords: Security
Depends On: 1293720
Blocks: 1286975
TreeView+ depends on / blocked
 
Reported: 2015-12-01 09:27 UTC by Adam Mariš
Modified: 2018-07-18 14:46 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An off-by-one vulnerability was discovered in the QEMU emulator built with Rocker-switch emulation support. The flaw occurred when processing transmit(tx) descriptors in the 'tx_consume' routine, if a descriptor had more than the allowed fragments (ROCKER_TX_FRAGS_MAX=16).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Mariš 2015-12-01 09:27:41 UTC
Qemu emulator built with the Rocker switch emulation support is vulnerable to an off-by-one error. It happens while processing transmit(tx) descriptors in 'tx_consume' routine, if a descriptor was to have more than allowed (ROCKER_TX_FRAGS_MAX=16)fragments.

A privileged user inside guest could use this flaw to cause memory leakage on the host or crash the Qemu process instance resulting in DoS issue.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2015-12/msg04629.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/29/1

Comment 1 Adam Mariš 2015-12-01 09:38:25 UTC
Acknowledgments:

Red Hat would like to thank Qinghao Tang of Qihoo 360 for reporting this issue.

Comment 2 Prasad J Pandit 2015-12-22 19:37:11 UTC
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue does not affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

Comment 3 Prasad J Pandit 2015-12-22 20:26:14 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1293720]

Comment 4 Fedora Update System 2016-01-24 03:26:42 UTC
qemu-2.4.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.